//-------------------------------------------------------------------
//
//  This code is copyright 2010 by G5 Entertainment AB.
//  Any unauthorized usage, either in part or in whole of this code
//  is strictly prohibited. Violators WILL be prosecuted to the
//  maximum extent allowed by law.
//
//-------------------------------------------------------------------
//
//         File: taf.js
//  Description:
//       Author: Voronoy S. (sergey.voronoy@g5e.com)
function taf(id, link) {
  var needLang = window.localStorage.getItem("xpromo.lang");
  var artistLink = window.localStorage.getItem("xpromo.artist.link");
  if (!checkVar(artistLink))
    artistLink = 'http://www.g5e.com/';
  var userAgent = navigator.userAgent.toLowerCase();
  var flag_html = false;
  if (/(iphone|ipod|ipad)/i.test(userAgent))
    flag_html = true;
  var scripts = document.getElementsByTagName('script');
  var i = 0;
  for(var b in scripts)
  {
    if (scripts[b].src != undefined)
    {
      if(scripts[b].src.indexOf('taf.js') != -1)
      {
        i = b;
        break;
      }
    }
  }
  var path = scripts[i].src.split('?')[0];
  var mydir = path.split('/').slice(0, -2).join('/')+'/';
  var xmlhttp = new XMLHttpRequest();
  var txt = '';
  with(xmlhttp)
  {
    open("GET", mydir + "taf.html", false);
    send(null);
    txt = responseText;
  }
  var arrayTranslate = new Object();
  var myReHTML = /<html(\s|\S)*?<\/html>/igm
  var myReLang = /<html(?:\s)*?lang=(?:'|")(\w+)(?:'|")>/ig
  var myReTitle = /<title>(.*?)<\/title>/ig
  var myRePre = /<pre>((?:\s|\S)*)<\/pre>/igm
  var myReBody = /<body((?:\s|\S)*)<\/body>/igm
  var htmlArr = txt.match(myReHTML);
  var tmp;
  for (var b in htmlArr)
  {
    tmp = myReLang.exec(htmlArr[b]);
    if (tmp != null)
      arrayTranslate[tmp[1]] = htmlArr[b].replace(myReLang, '<html>');
    myReLang.exec('');
  }
  var retMessage = arrayTranslate[needLang];
  if (retMessage == undefined)
    retMessage = arrayTranslate['en'];
  tmp = myReTitle.exec(retMessage);
  var myTitle = tmp[1];
  if (flag_html)
  {
    tmp = myReBody.exec(retMessage);
    retMessage = tmp[0];
  }
  else
  {
    tmp = myRePre.exec(retMessage);
    retMessage = tmp[1];
  }
  retMessage = retMessage.replace(/{games_id}/g, id);
  retMessage = retMessage.replace(/{artist_link}/g, artistLink);
  if (checkVar(link))
  {
    retMessage = retMessage.replace(/{store_link}/g, link);
  }
  else
  {
    retMessage = retMessage.replace(/{store_link}/g, artistLink);
  }
  var text = newsLoadLang(id + '/index');
  if (text == null)
  {
    return false;
  }
  else
  {
    text = lockitGet(text);
  }
  if (!text)
    text = array();
  var result = '';
  if (checkVar(text['title']))
  {
    retMessage = retMessage.replace(/{game_name}/g, text['title']);
    result += "subject=" + encodeURIComponent(text['title']);
  }
  else
  {
    retMessage = retMessage.replace(/{game_name}/g, '');
  }
  if (checkVar(text['article span']) && checkVar(myTitle))
  {
    text['article span'] = text['article span'].replace(/<ul>((?:\s|\S)*)<\/ul>/igm, '');
    if (flag_html)
    {
      text['article span'] = myTitle + '<br>' + text['article span'] + '<br><br>';
    }
    else
    {
      text['article span'] =  "\n" + myTitle + "\n" + text['article span'] + "\n\n";
    }
    retMessage = retMessage.replace(/{game_desc}/g, text['article span']);
  }
  else
  {
    retMessage = retMessage.replace(/{game_desc}/g, '');
  }
  if (flag_html)
    retMessage = "<html><body>" + retMessage + "</body></html>";

  retMessage = encodeURIComponent(retMessage);
  if (result.length > 0)
    result += '&';
  result += "body=" + retMessage;
  result = 'mailto:?' + result;

  result = result.replace(",", "%2C"); // for old xpromo clients
  //result = encodeURI(result).replace(",", "%2C"); // for old xpromo clients
  simulateClick("@ext(" + result + ")");
  return false;
}
